import axios from 'axios'

export const api = axios.create({
  // baseURL: 'https://yg.lacus.site/v1/user/',
  baseURL: window.location.origin + '/v1/user/',
  headers: {
    'Content-Type': 'application/json',
    'Accept': 'application/json',
    'Access-Control-Allow-Origin': '*'
  },
  timeout: 30 * 1000
})

//设置拦截器
api.interceptors.response.use(
  (response) => {
    // console.log('拦截器:请求成功', response)
    return response
  }, (error) => {
    // console.log('拦截器:发生错误', error.response)
    return Promise.reject(error)
  }
)
